# osgoccluder.cpp File Reference

`#include <osgProducer/Viewer>`
`#include <osg/MatrixTransform>`
`#include <osg/Billboard>`
`#include <osg/Geode>`
`#include <osg/Group>`
`#include <osg/Notify>`
`#include <osg/LineSegment>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgGA/TrackballManipulator>`
`#include <osgGA/FlightManipulator>`
`#include <osgGA/DriveManipulator>`
`#include <osgUtil/Optimizer>`
`#include <osgUtil/IntersectVisitor>`
`#include <osg/OccluderNode>`
`#include <osg/Geometry>`
`#include <osg/ShapeDrawable>`

Include dependency graph for osgoccluder.cpp:

## Functions

osg::Node * | createOccluder (const osg::Vec3 &v1, const osg::Vec3 &v2, const osg::Vec3 &v3, const osg::Vec3 &v4, float holeRatio=-1.0f)
osg::Group * | createOccludersAroundModel (osg::Node *model)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createOccluder | ( | const osg::Vec3 & | v1,
|  | const osg::Vec3 & | v2,
|  | const osg::Vec3 & | v3,
|  | const osg::Vec3 & | v4,
|  | float | holeRatio = `-1.0f`
| ) |

osg::Group* createOccludersAroundModel | ( | osg::Node * | model | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |